:: This batch file runs the Hills Creek, MFW River model, and Lookout Point-Dexter model in sequence
:: IMPORTANT:  Confirm file paths!! 
::Asign the paths to the three models here...
set hcpath=PutYourDirectoryHere\calibrated_MF_w2_web\cy2002_hcl
set mfpath=PutYourDirectoryHere\calibrated_MF_w2_web\cy2002_mfr_combined
set lopath=PutYourDirectoryHere\calibrated_MF_w2_web\cy2002_lop-dex_combined
set modpath=PutYourDirectoryHere\calibrated_MF_w2_web

call:runHCw2 hcpath mfpath
call:runMFw2CopyOut mfpath hcpath
call:runLOw2CopyOut lopath mfpath

:runHCw2
::set the working directory NOTE: CHANGE THE DRIVE LETTER IF NECESSARY!!!
e:
cd %hcpath%

::Run the HCL model
w2_gen32_newblend5.exe
goto:eof

:runMFw2CopyOut
:: Remove any old HCL model output from the MFWR model
cd %mfpath%
rm HCQ.out
rm HCT.out

:: copy over HCL model output to MFW river model
cp %hcpath%\qwo_25.opt %mfpath%\HCQ.out
cp %hcpath%\two_25.opt %mfpath%\HCT.out

::run the mfwr model
w2_gen32_newblend5.exe
goto:eof

:runLOw2CopyOut
:: Remove any old MFWR model output from the LOP model
cd %lopath%
rm MFQ.out
rm MFT.out

:: copy over MFW model output to LOP river model
cp %mfpath%\qwo_85.opt %lopath%\MFQ.out
cp %mfpath%\two_85.opt %lopath%\MFT.out

::run the LOP model
w2_gen32_newblend5.exe
goto:eof
